#ifndef __ORDEQUE_H__
#define __ORDEQUE_H__

#include "linkedlist.h"

class ordeque {
    public:
        linkedlist l;
        bool addToORDequeLeft(int id);
        bool addToORDequeRight(int id); 
        bool removeFromORDequeLeft();
        int showTopOfORDequeLeft();
        int showSizeOfORDeque();
        bool in_ordeque(int id); 
};
#endif
